Część: Torus

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Torus and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg poprzedni: Part Cone.svg Stożek
następny: Rura Part Tube.svg Arrow-right.svg

Part Torus.svg Część: Torus

Lokalizacja w menu
Część → Bryła pierwotna → Torus
Środowisko pracy
Część
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Bryły pierwotne

Opis

Narzędzie Part Torus.svg Torus środowiska Część, tworzy parametryczną bryłę torusa, kształt zbliżony do pierścienia. Powstaje ona w wyniku przeciągnięcia profilu kolistego wokół okrągłej ścieżki. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie kolista ścieżka torusa leży na płaszczyźnie XY, a jej środek znajduje się w punkcie odniesienia położenia.

Torus środowiska Część można przekształcić w fragment torusa, zmieniając jego właściwość DANEKąt3. Zmieniając właściwości DANEKąt1 i / lub DANEKąt2, profil pochylony może stać się fragmentem okręgu.

Part Torus Example.png

Użycie

  1. Istnieje kilka sposobów na wywołanie tego polecenia:
    • Naciśnij przycisk Part Torus.svg Part Torus.
    • Wybierz z menu opcję Część → Bryła pierwotna → Part Torus.svg Torus.
  2. Tworzony jest torus.
  3. Opcjonalnie zmień wymiary i DANEUmiejscowienie torusa, wykonując jedną z poniższych czynności:
    • Kliknij dwukrotnie obiekt w oknie Widok drzewa:
      1. Otworzy się panel zadań Geometric Primitives.
      2. Zmień jedną lub więcej właściwości.
      3. Obiekt jest dynamicznie aktualizowany w oknie widoku 3D.
      4. Naciśnij przycisk OK.
    • Zmień właściwości w Edytor właściwości.
    • Zmień DANEUmiejscowienie za pomocą narzędzia Std TransformManip.svg Std: Przemieszczenie.

Przykład

Torus środowiska pracy Część na przykładzie skryptu

Poniżej pokazano obiekt Torusa utworzony za pomocą przykładowego skryptu.

Uwagi

  • Torus środowiska pracy Część można również utworzyć za pomocą narzędzia Part Primitives.svg Geometrie pierwotne. Za jego pomocą można określić wymiary i umiejscowienie w czasie tworzenia.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Torus wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Dołączenie

Obiekt ten ma takie same właściwości dołączania jak Part: Part2DObject.

Torus

  • DANEPromień1 (długość): Promień kolistej ścieżki torusa. Wartość domyślna to 10mm.
  • DANEPromień2 (długość): Promień okrągłego profilu torusa. Wartość domyślna to 2mm.
  • DANEKąt 1 (Kąt ): Kąt rozpoczęcia profilu kołowego. Prawidłowy zakres: -180° <= wartość <= 180°. Wartość domyślna to -180°.
  • DANEKąt 2 (Kąt ): Kąt zakończenia profilu kołowego. Prawidłowy zakres: -180° <= wartość <= 180°. Wartość domyślna to 180°. Jeśli całkowity kąt profilu kołowego jest mniejszy niż 360°, profil będzie miał kształt tortu.
  • DANEKąt 3 (Kąt ): Kąt ścieżki kołowej torusa. Poprawny zakres: 0° < wartość <= 360°. Domyślnie jest to 360°. Jeśli wartość jest mniejsza niż 360°, to bryła wynikowa będzie odcinkiem torusa.

Tworzenie skryptów

Zobacz również: Dokumentacja API generowana automatycznie oraz Skrypty w środowisku Część i Podstawy pisania skryptów dla FreeCAD.

Torus środowiska pracy Część jest tworzony za pomocą metody dokumentu addObject().

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • Gdzie parametr "myTorus" jest etykietą dla obiektu.
  • Funkcja zwraca nowo utworzony obiekt.

Przykład:

import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()


Arrow-left.svg poprzedni: Part Cone.svg Stożek
następny: Rura Part Tube.svg Arrow-right.svg